@import url("https://fonts.googleapis.com/css2?family=Red+Rose:wght@300;400;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lato:wght@300&display=swap");


* {
    box-sizing: border-box;
}

#h {
    font-family: "Red Rose", sans-serif;
    background: #000;
}

.hide {
    display: none;
}

/* header */
header {
    height: 100vh;
    position: relative;
    overflow: hidden;
    background-size: cover;
    background: rgba(0, 0, 0, 0.6);
}

header .content {
    position: relative;
    display: block;
    color: #FFFFFF;
    top: 50%;
    left: 50%;
    text-align: center;
    transform: translate(-50%, -50%);
    text-shadow: 0px 0px 5px #000000;
}

header .content h1 {
    font-size: 4.3em;
    font-weight: normal;
    margin-bottom: 50px;
}

header .content h3 {
    font-size: 1.5em;
    font-weight: lighter;
}

.hero-btn {
    color: white;
    text-decoration: none;
    font-size: 18px;
    border: solid 0.1px white;
    text-shadow: 1px 2px rgba(0, 0, 0, 0.6);
    padding: 13px 49px;
    letter-spacing: 2px;
}

.hero-btn:hover {
    color: #f9993e;
    border: solid 0.1px #f9993e;
}

@media all and (min-width: 1200px) {
    .hero-btn {
        font-size: 22px;
        padding: 13px 50px;
    }

    header .content h1 {
    font-size: 7.3em;
    font-weight: normal;
    margin-bottom: 50px;
}

}

#bg {
    height: 200vh;
    width: 100%;
    display: block;
    position: fixed;
    background-size: cover;
    background-attachment: fixed;
    background-position: top center;
    background-image:linear-gradient(rgba(0, 0, 0, .2), #1a1a1a5e),
    url('/assets/media/img/jandready-bg.jpeg');
      background-repeat: no-repeat;
      z-index: -1;
}

/* Spacer */
.layout {
    display: block;
    position: relative;
    background: #181818;
    height: 25px;
}

/* Navigation bar */
.tabs {
    color: #181818;
    font-family: "Red Rose", sans-serif;
    font-size: 22px;
    text-align: center;
    text-decoration: none;
    z-index: 50;
}

nav {
    position: relative;
    background-color: #2525258a;
    height: 70px;
    font-family: 'Red Rose', sans-serif;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}

/* Logo */
.logo-minor {
    padding-left: 8%;
    color: #fff;
    padding-right: 50vw;
}

/* Main menu styles */
nav ul {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
    margin-right: 8vw;
}

nav li {
    padding: 24px 10px;
}

nav li a {
    color: #ffffff;
    text-transform: uppercase;
    text-decoration: none;
    z-index: 1000;
    position: relative;
}

/* Hamburger Menu */
.hamburger {
    width: 40px;
    height: 40px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    position: relative;
    z-index: 2001;
    display: none; /* Hidden by default */
}

/* Ensure menu is always visible on larger screens */
@media screen and (min-width: 1025px) {
    .menu {
        display: flex !important;
    }
}

/* Show hamburger and hide menu on smaller screens */
@media screen and (max-width: 1024px) {
    .hamburger {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        float: right;
    }

    .menu {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 70px; /* Adjust based on your header height */
        right: 20px;
        background: rgba(0, 0, 0, 0.8);
        width: 200px;
        text-align: center;
        border-radius: 5px;
        padding: 10px 0;
        box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
        opacity: 0;
        transform: translateY(-10px);
        transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
        z-index: 1;
    }

    /* Show menu when the hamburger is clicked */
    .menu.show {
        display: flex;
        opacity: 1;
        transform: translateY(0);
    }
}

/* Hamburger icon lines */
.line {
    width: 22px;
    height: 1px;
    background-color: white;
    margin: 2px 0;
    transition: 0.3s ease-in-out;
}

/* Hamburger Animation */
#hamburger-6.is-active {
    transition: all 0.3s ease-in-out;
    transition-delay: 0.6s;
    transform: rotate(45deg);
}

#hamburger-6.is-active .line:nth-child(2) {
    width: 0px;
}

#hamburger-6.is-active .line:nth-child(1),
#hamburger-6.is-active .line:nth-child(3) {
    transition-delay: 0.3s;
}

#hamburger-6.is-active .line:nth-child(1) {
    transform: translateY(13px);
}

#hamburger-6.is-active .line:nth-child(3) {
    transform: translateY(-13px) rotate(90deg);
}

#hamburger-6.is-active .line {
    margin: 6px 0;
}

.stabs {
    height: 700px;
}

/* Sliders */
.pen {
    max-width: 635px;
    width: 100%;
    margin: 50px auto 0;
    opacity: 0;
    position: relative;
    top: 0px;
    -webkit-transition: all 0.25s ease-in-out;
    -moz-transition: all 0.25s ease-in-out;
    -ms-transition: all 0.25s ease-in-out;
    -o-transition: all 0.25s ease-in-out;
    transition: all 0.25s ease-in-out;
    -webkit-animation: 1s appear 1 forwards;
    -moz-animation: 1s appear 1 forwards;
    -o-animation: 1s appear 1 forwards;
    animation: 1s appear 1 forwards;
}

.stage {
    margin-top: -80px;
    max-width: 635px;
    width: 100%;
    height: 400px;
    -webkit-transition: all 0.25s ease-in-out;
    -moz-transition: all 0.25s ease-in-out;
    -ms-transition: all 0.25s ease-in-out;
    -o-transition: all 0.25s ease-in-out;
    transition: all 0.25s ease-in-out;
}

.video-container {
    height: 300px;
    width: 300px;
    position: relative;
}

.video-container video {
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
    z-index: 0;
}

/* Just styling the content of the div, the *magic* in the previous rules */
.video-container .caption-index {
    z-index: 1;
    position: relative;
    text-align: center;
    color: #ffffffde;
    font-size: 30px;
    padding: 10px;
    top: 50%;
}

/* Just styling the content of the div, the *magic* in the previous rules */
.video-container .caption {
    z-index: 1;
    position: relative;
    text-align: center;
    color: #ffffff;
    font-size: 30px;
    padding: 10px;
    top: 38%;
}

.canvas-link {
    text-decoration: none;
}

.artwork-single {
    max-width: 150px;
    height: auto;
    max-height: 150px;
    margin-top: 20px;
}

.element {
    background: black;
    width: 100%;
    -webkit-transform-origin: 50% 50%;
    height: inherit;
    margin: 0 7px 0 0;
    display: inline-block;
    -webkit-transition: all 0.25s ease-in-out;
    -moz-transition: all 0.25s ease-in-out;
    -ms-transition: all 0.25s ease-in-out;
    -o-transition: all 0.25s ease-in-out;
    transition: all 0.25s ease-in-out;
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    -o-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    margin-bottom: 10px;
}

.element.active {
    width: 282px;
    -webkit-transition: all 0.25s ease-in-out;
    -moz-transition: all 0.25s ease-in-out;
    -ms-transition: all 0.25s ease-in-out;
    -o-transition: all 0.25s ease-in-out;
    transition: all 0.25s ease-in-out;
}

.element.inactive {
    width: 162px;
    -webkit-transition: all 0.25s ease-in-out;
    -moz-transition: all 0.25s ease-in-out;
    -ms-transition: all 0.25s ease-in-out;
    -o-transition: all 0.25s ease-in-out;
    transition: all 0.25s ease-in-out;
    opacity: 0.4;
}

.element.junkrat {
    background: url('https://cdn.discordapp.com/attachments/318471204400922624/335425109043183616/image.jpg') 45% 0 no-repeat;
    background-size: cover;
}

.element.tracer {
    background: url('https://cdn.discordapp.com/attachments/318471204400922624/335425464908644352/image.jpg') 45% 0 no-repeat;
    background-size: cover;
}

.element.polygirl {
    background: url('https://github.com/rurane/rurane.github.io/blob/master/img/com.jpg?raw=true') 45% 0 no-repeat;
    background-size: cover;
}

.element:last-of-type {
    margin: 0;
}

@media all and (min-width: 900px) {
    .pen {
        max-width: 890px;
    }

    .element {
        width: 100%;
    }

    .element.inactive {
        width: 246px;
    }

    .element.active {
        width: 366px;
    }

    .stage {
        max-width: 890px;
        height: 600px;
    }
}

@media all and (max-width: 660px) {
    .pen {
        max-width: 335px;
    }

    .element {
        width: 100%;
    }

    .element.inactive {
        width: 61px;
    }

    .element.active {
        width: 181px;
    }

    .stage {
        max-width: 100%;
    }
}

@-webkit-keyframes appear {
    15% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-moz-keyframes appear {
    15% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-o-keyframes appear {
    15% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes appear {
    15% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.sliders {
    padding-top: 15px;
    /* background-color:rgba(225,225,225,1); */
    background-color: #000000e6;
    filter: blur;
}

/* Spacer */
.layout {
    display: block;
    position: relative;
    background: #000;
    height: 50;
}

.favC {
    position: relative;
    display: block;
    color: #FFFFFF;
    padding-top: 20%;
    left: 50%;
    text-align: center;
    transform: translate(-50%, -50%);
    text-shadow: 0px 0px 5px #000000;
}

.favC h3 {
    font-size: 4em;
}

.bottomspace {
    display: block;
    max-width: 400px;
    text-align: center;
    margin: 40px auto 0;
    padding-bottom: 10px;
    font-size: 0.8em;
    color: #f0f0f0;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.9);
}


/* Spacer */
.layout2 {
    display: block;
    position: relative;
    padding-top: 35px;
    background: #000;
    height: 25px;
}

/* start icons */
.sicon {
    float: left;
    padding-top: 50px;
    padding-bottom: 100px;
    width: 100%;
    padding-left: 0;
    padding-right: 0;
}

#icon-wrapper {
    width: 100%;
    float: left;
    height: 200px;
}

.icons {
    width: 25%;
    float: left;
    position: relative;
}

.icons2 {
    width: 25%;
    float: left;
    position: relative;
    margin-left: 25%;
}

.icons3 {
    width: 25%;
    float: left;
    position: relative;
    margin-left: 50%;
}

.icons4 {
    width: 25%;
    float: left;
    position: relative;
    margin-left: 75%;
}

.icon-slide-container {
    height: 200px;
    overflow: hidden;
    text-align: left;
    position: absolute;
    float: left;
    width: 200px;
    left: 50%;
    margin-left: -100px;
}

.slide-icon {
    width: 200px;
    height: auto;
    position: absolute;
    margin-top: -200px;
    -webkit-transition: .4s ease;
    -moz-transition: .4s ease;
    -ms-transition: .4s ease;
    -o-transition: .4s ease;
    transition: .4 ease;
}

.slide-icon:hover {
    position: absolute;
    margin-top: 0;
}

@media only screen and (max-width: 1300px) {
    #icon-wrapper {
        width: 100%;
        float: left;
        height: 170px;
    }

    .icon-slide-container {
        height: 200px;
        overflow: hidden;
        text-align: left;
        position: absolute;
        float: left;
        width: 200px;
        left: 50%;
        margin-left: -100px;
    }

    .slide-icon {
        width: 200px;
        height: auto;
        position: absolute;
        margin-top: -200px;
    }
}

@media only screen and (max-width: 1000px) {
    #home-social-container {
        margin-right: 0;
        margin-left: 0;
        width: 100%;
        padding: 0;
        float: left;
        left: 0;
    }
}

@media only screen and (max-width: 840px) {
    #icon-wrapper {
        width: 100%;
        float: left;
        height: 650px;
    }

    .icon-slide-container {
        height: 300px;
        overflow: hidden;
        text-align: left;
        position: absolute;
        float: left;
        width: 300px;
        left: 50%;
        margin-left: -150px;
    }

    .slide-icon {
        width: 300px;
        height: auto;
        position: absolute;
        margin-top: -300px;
    }

    .icons {
        width: 50%;
        float: left;
        position: relative;
    }

    .icons2 {
        width: 50%;
        float: left;
        position: relative;
        margin-left: 50%;
    }

    .icons3 {
        width: 50%;
        float: left;
        position: relative;
        margin-left: 0%;
        margin-top: 350px;
    }

    .icons4 {
        width: 50%;
        float: left;
        position: relative;
        margin-left: 50%;
    }
}

@media only screen and (max-width: 650px) {
    #icon-wrapper {
        height: 400px;
    }

    #section {
        width: 90%;
        padding-left: 5%;
        padding-right: 5%;
    }

    .slide-icon {
        width: 200px;
        height: auto;
        position: absolute;
        margin-top: -200px;
    }

    .icon-slide-container {
        height: 200px;
        width: 200px;
        left: 50%;
        margin-left: -100px;
    }

    .icons3 {
        width: 50%;
        position: relative;
        margin-left: 0%;
        margin-top: 230px;
    }
}

@media only screen and (max-width: 570px) {
    #icon-wrapper {
        height: 300px;
    }

    .slide-icon {
        width: 150px;
        height: auto;
        position: absolute;
        margin-top: -150px;
    }

    .icon-slide-container {
        height: 150px;
        width: 150px;
        left: 50%;
        margin-left: -75px;
    }

    .icons3 {
        width: 50%;
        float: left;
        margin-left: 0%;
        margin-top: 190px;
    }

    #bg {
        height: 400vh;
        width: 100vw;
    }
    
}

/* end of icons */
.layout2 {
    display: block;
    position: relative;
    padding-top: 35px;
    background: #fff;
    height: 25px;
}

/* Social */
.about {
    padding-top: 50px;
    display: block;
    position: relative;
    background: #000000;
    height: auto;
    text-align: center;
}

.stitle {
    position: relative;
    display: block;
    color: #FFFFFF;
    padding-top: 2%;
    left: 50%;
    font-family: 'Quicksand', sans-serif;
    text-align: center;
    transform: translate(-50%, -50%);
    text-shadow: 0px 0px 5px #000000;
}

.stitle h3 {
    font-family: 'Quicksand', sans-serif;
    font-size: 2.3em;
    font-weight: lighter;
}

social {
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

/* Icons */
a.one {
    color: #fff;
    background: #f9993e;
    border-radius: 4px;
    text-align: center;
    text-decoration: none;
    font-family: fontawesome;
    position: relative;
    display: inline-block;
    width: 60px;
    height: 32px;
    padding-top: 12px;
    margin: 0 2px;
    -o-transition: all .5s;
    -webkit-transition: all .5s;
    -moz-transition: all .5s;
    transition: all .5s;
    -webkit-font-smoothing: antialiased;
}

a.one:hover {
    background: #ad4018;
}

/* pop-up text */
a.one span {
    color: #666;
    position: absolute;
    font-family: sans-serif;
    bottom: 0;
    left: -25px;
    right: -25px;
    padding: 5px 7px;
    z-index: 1;
    font-size: 14px;
    border-radius: 2px;
    background: #fff;
    visibility: hidden;
    opacity: 0;
    -o-transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -webkit-transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -moz-transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

/* pop-up text arrow */
a.one span:before {
    content: '';
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #fff;
    position: absolute;
    bottom: -5px;
    left: 40px;
}

/* text pops up when icon is in hover state */
a.one:hover span {
    bottom: 50px;
    visibility: visible;
    opacity: 1;
}

/* font awesome icons */
a.one:nth-of-type(1):before {
    content: '\f167';
}

a.one:nth-of-type(2):before {
    content: '\f099';
}

a.one:nth-of-type(3):before {
    content: '\f233';
}

a.one:nth-of-type(4):before {
    content: '\f09a';
}

/* Gallery intro */
.galI {
    background: #000;
    float: left;
    padding-top: 50px;
    padding-bottom: 0px;
    width: 100%;
    padding-left: 0;
    padding-right: 0;
}

.galitext {
    position: relative;
    display: block;
    color: #FFFFFF;
    padding-top: 85px;
    left: 50%;
    text-align: center;
    transform: translate(-50%, -50%);
    text-shadow: 0px 0px 5px #000000;
    font-family: 'Red Rose', sans-serif;
}

.galitext p {
    color: #fff;
}

.galitext h3 {
    font-size: 4em;
}

.galitext h2 {
    font-weight: lighter;
    color: #f9993e;
}

.galitext p.parenthesis {
    color: #fff;
    font-weight: lighter;
}

.galitext cleantext.name {
    color: #f9993e;
    font-weight: lighter
}


/* icons */
.sicons {
    background: #000;
    float: left;
    padding-top: 0px;
    padding-bottom: 100px;
    width: 100%;
    padding-left: 0;
    padding-right: 0;
}

#icon-wrapper {
    width: 100%;
    float: left;
    height: 300px;
}

.icons {
    width: 20%;
    float: left;
    position: relative;
}

.icons2 {
    width: 20%;
    float: left;
    position: relative;
    margin-left: 20%;
}

.icons3 {
    width: 20%;
    float: left;
    position: relative;
    margin-left: 60%;
}

.icons4 {
    width: 20%;
    float: left;
    position: relative;
    margin-left: 80%;
}

.icon-slide-container {
    height: 300px;
    overflow: hidden;
    text-align: left;
    position: absolute;
    float: left;
    width: 300px;
    left: 50%;
    margin-left: -150px;
}

.slide-icon {
    width: 150;
    height: auto;
    position: absolute;
    border: 10px solid white;
    margin-top: -130px;
    -webkit-transition: .4s ease;
    -moz-transition: .4s ease;
    -ms-transition: .4s ease;
    -o-transition: .4s ease;
    transition: .4 ease;
}

.slide-icon:hover {
    position: absolute;
    margin-top: 0;
}

@media only screen and (max-width: 2000px) {
    #icon-wrapper {
        width: 100%;
        float: left;
        height: 500px;
    }

    .icon-slide-container {
        height: 150px;
        overflow: hidden;
        text-align: left;
        position: absolute;
        float: left;
        width: 150px;
        left: 50%;
        margin-left: -80px;
    }

    .slide-icon {
        width: 150px;
        height: auto;
        position: absolute;
        margin-top: -130px;
    }
}

@media only screen and (max-width: 1000px) {
    #home-social-container {
        margin-right: 0;
        margin-left: 0;
        width: 100%;
        padding: 0;
        float: left;
        left: 0;
    }
}

@media only screen and (max-width: 840px) {
    #icon-wrapper {
        width: 100%;
        float: left;
        height: 650px;
    }

    .icon-slide-container {
        height: 300px;
        overflow: hidden;
        text-align: left;
        position: absolute;
        float: left;
        width: 300px;
        left: 50%;
        margin-left: -150px;
    }

    .slide-icon {
        width: 300px;
        height: auto;
        position: absolute;
        margin-top: -300px;
    }

    .icons {
        width: 50%;
        float: left;
        position: relative;
    }

    .icons2 {
        width: 50%;
        float: left;
        position: relative;
        margin-left: 50%;
    }

    .icons3 {
        width: 50%;
        float: left;
        position: relative;
        margin-left: 0%;
        margin-top: 350px;
    }

    .icons4 {
        width: 50%;
        float: left;
        position: relative;
        margin-left: 50%;
    }

    .stabs {
        height: 700px;
    }
}

@media only screen and (max-width: 650px) {
    #icon-wrapper {
        height: 400px;
    }

    #section {
        width: 90%;
        padding-left: 5%;
        padding-right: 5%;
    }

    .slide-icon {
        width: 200px;
        height: auto;
        position: absolute;
        margin-top: -200px;
    }

    .icon-slide-container {
        height: 150px;
        width: 150px;
        left: 50%;
        margin-left: -100px;
    }

    .icons3 {
        width: 50%;
        position: relative;
        margin-left: 0%;
        margin-top: 230px;
    }
}

@media only screen and (max-width: 570px) {
    #icon-wrapper {
        height: 300px;
    }

    .slide-icon {
        width: 150px;
        height: auto;
        position: absolute;
        margin-top: -150px;
    }

    .icon-slide-container {
        height: 150px;
        width: 150px;
        left: 50%;
        margin-left: -70px;
    }

    .icons3 {
        width: 50%;
        float: left;
        margin-left: 0%;
        margin-top: 190px;
    }
}

/* Social */
.about3 {
    padding-top: 50px;
    display: block;
    position: relative;
    /* background: #3E3E3E; */
    background: #fab777;
    height: 100%;
    text-align: center;
}

.stitle {
    position: relative;
    display: block;
    color: #FFFFFF;
    padding-top: 2%;
    left: 50%;
    font-family: 'Quicksand', sans-serif;
    text-align: center;
    transform: translate(-50%, -50%);
    text-shadow: 0px 0px 5px #000000;
}

.stitle h3 {
    font-family: 'Quicksand', sans-serif;
    font-size: 2.3em;
    font-weight: lighter;
}



a.one {
    color: #fff;
    background: #f9993e;
    border-radius: 4px;
    text-align: center;
    text-decoration: none;
    font-family: fontawesome;
    position: relative;
    display: inline-block;
    width: 60px;
    height: 32px;
    padding-top: 12px;
    margin: 0 2px;
    -o-transition: all .5s;
    -webkit-transition: all .5s;
    -moz-transition: all .5s;
    transition: all .5s;
    -webkit-font-smoothing: antialiased;
}

a.one:hover {
    background: #ad4018;
}

a.one span {
    color: #666;
    position: absolute;
    font-family: sans-serif;
    bottom: 0;
    left: -25px;
    right: -25px;
    padding: 5px 7px;
    z-index: 1;
    font-size: 14px;
    border-radius: 2px;
    background: #fff;
    visibility: hidden;
    opacity: 0;
    -o-transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -webkit-transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -moz-transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

a.one span:before {
    content: '';
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #fff;
    position: absolute;
    bottom: -5px;
    left: 40px;
}

a.one:hover span {
    bottom: 50px;
    visibility: visible;
    opacity: 1;
}

a.one:nth-of-type(1):before {
    content: '\f167';
}

a.one:nth-of-type(2):before {
    content: '\f099';
}

a.one:nth-of-type(3):before {
    content: '\f233';
}

a.one:nth-of-type(4):before {
    content: '\f09a';
}

.youtube-box h3 {
    text-align: center;
    font-size: 2rem;
    color: #f0f0f0;
    margin: 150px 0;
}

.youtube-iframe {
    width: 100%;
    height: 100vh;
    margin-bottom: 150px;
}

@media only screen and (max-width: 570px) {
    .youtube-iframe {
        height: 600px;
    }
}